## FFTN N-Dimensional Forward FFT

Section: Transforms/Decompositions

### Usage

Computes the DFT of an N-dimensional numerical array along all dimensions. The general syntax for its use is

      y = fftn(x)

which computes the same-size FFTs for each dimension of `x`. Alternately, you can specify the size vector

      y = fftn(x,dims)

where `dims` is a vector of sizes. The array `x` is zero padded or truncated as necessary in each dimension so that the output is of size `dims`. The `fftn` function is implemented by a sequence of calls to `fft`.